Loading...
Searching...
No Matches
Magick::modulateImage Class Reference

## Public Member Functions

| modulateImage (const double brightness_, const double saturation_, const double hue_)
void | operator() (Image &image_) const

## Private Attributes

double | _brightness
double | _saturation
double | _hue

## Detailed Description

Definition at line 746 of file STL.h.

## Constructor & Destructor Documentation

## modulateImage()

Magick::modulateImage::modulateImage | ( | const double | brightness_,
|  | const double | saturation_,
|  | const double | hue_ )

Definition at line 696 of file STL.cpp.

: _brightness( brightness_ ),
_saturation( saturation_ ),
_hue( hue_ )
{
}

## Member Function Documentation

## operator()()

void Magick::modulateImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 704 of file STL.cpp.

{
image_.modulate( _brightness, _saturation, _hue );
}

## Field Documentation

## _brightness

double Magick::modulateImage::_brightness

private

Definition at line 756 of file STL.h.

## _hue

double Magick::modulateImage::_hue

private

Definition at line 758 of file STL.h.

## _saturation

double Magick::modulateImage::_saturation

private

Definition at line 757 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp